<div class="d-flex justify-content-center">
  <img [src]="url" [alt]="alt" class="card-img-top animate__animated animate__fadeIn" (load)="onLoad()"
    [ngStyle]="{display: hasLoaded ? '' : 'none'}">

  <img *ngIf="!hasLoaded" src="assets/loader.svg" alt="" class="mt-3" height="35" width="35">
</div>